JUCE: AudioPlayHead::CurrentPositionInfo Struct Reference

JUCE

Public Member Functions | Public Attributes | List of all members
AudioPlayHead::CurrentPositionInfo Struct Reference

This structure is filled-in by the AudioPlayHead::getCurrentPosition() method. More...

## Public Member Functions
bool | operator== (const CurrentPositionInfo &other) const noexcept
bool | operator!= (const CurrentPositionInfo &other) const noexcept
void | resetToDefault ()

## Public Attributes
double | bpm
| The tempo in BPM. More...
int | timeSigNumerator
| Time signature numerator, e.g. More...
int | timeSigDenominator
| Time signature denominator, e.g. More...
int64 | timeInSamples
| The current play position, in samples from the start of the timeline. More...
double | timeInSeconds
| The current play position, in seconds from the start of the timeline. More...
double | editOriginTime
| For timecode, the position of the start of the timeline, in seconds from 00:00:00:00. More...
double | ppqPosition
| The current play position, in units of quarter-notes. More...
double | ppqPositionOfLastBarStart
| The position of the start of the last bar, in units of quarter-notes. More...
FrameRateType | frameRate
| The video frame rate, if applicable. More...
bool | isPlaying
| True if the transport is currently playing. More...
bool | isRecording
| True if the transport is currently recording. More...
double | ppqLoopStart
| The current cycle start position in units of quarter-notes. More...
double | ppqLoopEnd
| The current cycle end position in units of quarter-notes. More...
bool | isLooping
| True if the transport is currently looping. More...

## Detailed Description

This structure is filled-in by the AudioPlayHead::getCurrentPosition() method.

## Member Function Documentation

## ◆ operator==()

bool AudioPlayHead::CurrentPositionInfo::operator== | ( | const CurrentPositionInfo & | other | ) | const
| noexcept

## ◆ operator!=()

bool AudioPlayHead::CurrentPositionInfo::operator!= | ( | const CurrentPositionInfo & | other | ) | const
| noexcept

## ◆ resetToDefault()

void AudioPlayHead::CurrentPositionInfo::resetToDefault | ( |  | ) |

## Member Data Documentation

## ◆ bpm

double AudioPlayHead::CurrentPositionInfo::bpm

The tempo in BPM.

## ◆ timeSigNumerator

int AudioPlayHead::CurrentPositionInfo::timeSigNumerator

Time signature numerator, e.g.

the 3 of a 3/4 time sig

## ◆ timeSigDenominator

int AudioPlayHead::CurrentPositionInfo::timeSigDenominator

Time signature denominator, e.g.

the 4 of a 3/4 time sig

## ◆ timeInSamples

int64 AudioPlayHead::CurrentPositionInfo::timeInSamples

The current play position, in samples from the start of the timeline.

## ◆ timeInSeconds

double AudioPlayHead::CurrentPositionInfo::timeInSeconds

The current play position, in seconds from the start of the timeline.

## ◆ editOriginTime

double AudioPlayHead::CurrentPositionInfo::editOriginTime

For timecode, the position of the start of the timeline, in seconds from 00:00:00:00.

## ◆ ppqPosition

double AudioPlayHead::CurrentPositionInfo::ppqPosition

The current play position, in units of quarter-notes.

## ◆ ppqPositionOfLastBarStart

double AudioPlayHead::CurrentPositionInfo::ppqPositionOfLastBarStart

The position of the start of the last bar, in units of quarter-notes.

This is the time from the start of the timeline to the start of the current bar, in ppq units.

Note - this value may be unavailable on some hosts, e.g. Pro-Tools. If it's not available, the value will be 0.

## ◆ frameRate

FrameRateType AudioPlayHead::CurrentPositionInfo::frameRate

The video frame rate, if applicable.

## ◆ isPlaying

bool AudioPlayHead::CurrentPositionInfo::isPlaying

True if the transport is currently playing.

## ◆ isRecording

bool AudioPlayHead::CurrentPositionInfo::isRecording

True if the transport is currently recording.

(When isRecording is true, then isPlaying will also be true).

## ◆ ppqLoopStart

double AudioPlayHead::CurrentPositionInfo::ppqLoopStart

The current cycle start position in units of quarter-notes.

Note that not all hosts or plugin formats may provide this value.

See also
  isLooping

## ◆ ppqLoopEnd

double AudioPlayHead::CurrentPositionInfo::ppqLoopEnd

The current cycle end position in units of quarter-notes.

Note that not all hosts or plugin formats may provide this value.

See also
  isLooping

## ◆ isLooping

bool AudioPlayHead::CurrentPositionInfo::isLooping

True if the transport is currently looping.

The documentation for this struct was generated from the following file:

- juce_AudioPlayHead.h